com.smartgwt.client.tools

## Class EditNode

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.data.Record
        - - com.smartgwt.client.tools.PaletteNode
          - - com.smartgwt.client.tools.EditNode

-     public class EditNode
      extends PaletteNode

  An object representing a component that is currently being edited within an `EditContext`.

  An EditNode is essentially a copy of a `PaletteNode`, initially with the same properties as the PaletteNode from which it was generated. However unlike a PaletteNode, an EditNode always has a `liveObject` - the object created from the `defaults` or other properties defined on a paletteNode.

  Like a Palette, an EditContext may use properties such as `icon` or `title` to display EditNodes.

  An EditContext generally offers some means of editing EditNodes and, as edits are made, updates `defaults` with the information required to re-create the component.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditNode()`
    `EditNode(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Canvas` | `getCanvasDefaults()` Properties required to recreate the current `liveObject`.
    `Canvas` | `getCanvasLiveObject()` Live version of the object created from the `defaults`.
    `DrawItem` | `getDrawItemDefaults()` Properties required to recreate the current `liveObject`.
    `DrawItem` | `getDrawItemLiveObject()` Live version of the object created from the `defaults`.
    `FormItem` | `getFormItemDefaults()` Properties required to recreate the current `liveObject`.
    `FormItem` | `getFormItemLiveObject()` Live version of the object created from the `defaults`.
    `static EditNode` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getType()` String of the `canvasLiveObject`, for example, "ListGrid".
    `void` | `setCanvasDefaults(Canvas defaults)` Properties required to recreate the current `liveObject`.
    `void` | `setCanvasLiveObject(Canvas liveObject)` Live version of the object created from the `defaults`.
    `void` | `setDrawItemDefaults(DrawItem defaults)` Properties required to recreate the current `liveObject`.
    `void` | `setDrawItemLiveObject(DrawItem liveObject)` Live version of the object created from the `defaults`.
    `void` | `setFormItemDefaults(FormItem defaults)` Properties required to recreate the current `liveObject`.
    `void` | `setFormItemLiveObject(FormItem liveObject)` Live version of the object created from the `defaults`.
    `void` | `setType(java.lang.String type)` String of the `canvasLiveObject`, for example, "ListGrid".

    - ### Methods inherited from class com.smartgwt.client.tools.PaletteNode

      `getIcon, getTitle, setIcon, setTitle`

    - ### Methods inherited from class com.smartgwt.client.data.Record

      `convertToRecordArray, copyAttributes, copyAttributesInto, getAttributeAsRecordArray, getAttributeAsRecordList, isARecord, toMap`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditNode

          public EditNode()

    - #### EditNode

          public EditNode(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static EditNode getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setCanvasDefaults

          public void setCanvasDefaults(Canvas defaults)

      Properties required to recreate the current `liveObject`.
      Overrides:
        `setCanvasDefaults` in class `PaletteNode`
      Parameters:
        `defaults` - Default value is null

    - #### getCanvasDefaults

          public Canvas getCanvasDefaults()

      Properties required to recreate the current `liveObject`.
      Overrides:
        `getCanvasDefaults` in class `PaletteNode`
      Returns:
        Canvas

    - #### setCanvasLiveObject

          public void setCanvasLiveObject(Canvas liveObject)

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `setCanvasLiveObject` in class `PaletteNode`
      Parameters:
        `liveObject` - Default value is null

    - #### getCanvasLiveObject

          public Canvas getCanvasLiveObject()

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `getCanvasLiveObject` in class `PaletteNode`
      Returns:
        Canvas

    - #### setDrawItemDefaults

          public void setDrawItemDefaults(DrawItem defaults)

      Properties required to recreate the current `liveObject`.
      Overrides:
        `setDrawItemDefaults` in class `PaletteNode`
      Parameters:
        `defaults` - Default value is null

    - #### getDrawItemDefaults

          public DrawItem getDrawItemDefaults()

      Properties required to recreate the current `liveObject`.
      Overrides:
        `getDrawItemDefaults` in class `PaletteNode`
      Returns:
        DrawItem

    - #### setDrawItemLiveObject

          public void setDrawItemLiveObject(DrawItem liveObject)

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `setDrawItemLiveObject` in class `PaletteNode`
      Parameters:
        `liveObject` - Default value is null

    - #### getDrawItemLiveObject

          public DrawItem getDrawItemLiveObject()

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `getDrawItemLiveObject` in class `PaletteNode`
      Returns:
        DrawItem

    - #### setFormItemDefaults

          public void setFormItemDefaults(FormItem defaults)

      Properties required to recreate the current `liveObject`.
      Overrides:
        `setFormItemDefaults` in class `PaletteNode`
      Parameters:
        `defaults` - Default value is null

    - #### getFormItemDefaults

          public FormItem getFormItemDefaults()

      Properties required to recreate the current `liveObject`.
      Overrides:
        `getFormItemDefaults` in class `PaletteNode`
      Returns:
        FormItem

    - #### setFormItemLiveObject

          public void setFormItemLiveObject(FormItem liveObject)

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `setFormItemLiveObject` in class `PaletteNode`
      Parameters:
        `liveObject` - Default value is null

    - #### getFormItemLiveObject

          public FormItem getFormItemLiveObject()

      Live version of the object created from the `defaults`. For example, if `type` is "ListGrid", `liveObject` would be a ListGrid.
      Overrides:
        `getFormItemLiveObject` in class `PaletteNode`
      Returns:
        FormItem

    - #### setType

          public void setType(java.lang.String type)

      String of the `canvasLiveObject`, for example, "ListGrid".
      Overrides:
        `setType` in class `PaletteNode`
      Parameters:
        `type` - See `SCClassName` . Default value is null

    - #### getType

          public java.lang.String getType()

      String of the `canvasLiveObject`, for example, "ListGrid".
      Overrides:
        `getType` in class `PaletteNode`
      Returns:
        See `SCClassName`